petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscMallocSetDumpLog

Activates logging of all calls to PetscMalloc().

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscMallocSetDumpLog(void)

Not Collective Many br

### Options Database Key

| -malloc_log <filename> | - Activates PetscMallocDumpLog() Many br
| -malloc_log_threshold <min> | - Activates logging and sets a minimum size Many br

Many br

### See Also

PetscMallocDump(), PetscMallocDumpLog(), PetscMallocSetDumpLogThreshold()

Level:advanced
Location:src/sys/memory/mtr.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages